Package dev.plex.command.source

# Enum Class RequiredCommandSource

java.lang.Object
java.lang.Enum<RequiredCommandSource>
dev.plex.command.source.RequiredCommandSource

All Implemented Interfaces:
  `Serializable`, `Comparable<RequiredCommandSource>`, `Constable`

public enum RequiredCommandSource extends Enum<RequiredCommandSource>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ANY`
`CONSOLE`
`IN_GAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`RequiredCommandSource()`

## Method Summary

Modifier and Type
Method
Description
`static RequiredCommandSource`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RequiredCommandSource[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### IN_GAME

public static final RequiredCommandSource IN_GAME

### CONSOLE

public static final RequiredCommandSource CONSOLE

### ANY

public static final RequiredCommandSource ANY

## Constructor Details

### RequiredCommandSource

private RequiredCommandSource()

## Method Details

### values

public static RequiredCommandSource[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static RequiredCommandSource valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null